TEST_NAME=$1

if [ -z "${TEST_NAME}" ]; then
	echo 'Bad arguments. Usage ./runtest.sh {testName}'
	exit 1
fi

if [ -d "$TEST_NAME" ]; then
	echo "Test folder $TEST_NAME already exists"
	exit 1
fi

echo 4 | sudo tee /sys/class/gpio/export &>/dev/null

mkdir $TEST_NAME

echo "$(date +'%Y-%m-%d %H:%M:%S.%N') starting"
date > $TEST_NAME/started.txt

sudo SolarTemperatureSensorRxSaver /dev/ttyACM0 | tee $TEST_NAME/packets.txt &
sudo python3 sensormonitor.py | tee $TEST_NAME/log.txt &

while true; do
	echo "$(date +'%Y-%m-%d %H:%M:%S.%N') turning LED on"
	sudo python3 ledset.py 255

	sleep $((8*60*60))

	echo "$(date +'%Y-%m-%d %H:%M:%S.%N') turning LED off"
	sudo python3 ledset.py 0
	
	sleep $((16*60*60))
done
